Blog
Github
  1. Message
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
        POST
      • Create comments in chat room
        POST
      • Get Comments by Room
        GET
    • Media Manager
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
Blog
Github
  1. Message

Get Comments by Room

Developing
GET
/api/v1/comments/rooms/{roomId}
Retrieve a paginated list of comments in a chat room.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/comments/rooms/?page&pageSize' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
    "data": [
        {
            "id": "comment-uuid-002",
            "roomId": "room-uuid-abc",
            "text": "The issue has been resolved.",
            "type": "comment",
            "mentions": [],
            "sender": {
                "id": "user-uuid-456",
                "name": "Agent Name"
            },
            "createdAt": "2026-02-27T11:05:00Z"
        },
        {
            "id": "comment-uuid-001",
            "roomId": "room-uuid-abc",
            "text": "@John Doe Please review this case.",
            "type": "comment",
            "mentions": [
                {
                    "userId": "user-uuid-123",
                    "name": "John Doe"
                }
            ],
            "sender": {
                "id": "user-uuid-789",
                "name": "Admin User"
            },
            "createdAt": "2026-02-27T11:00:00Z"
        }
    ],
    "page": 1,
    "pageSize": 20,
    "total": 2,
    "lastPage": 1
}
Modified at 2026-02-27 11:33:20
Previous
Create comments in chat room
Next
Get Folders
Built with